<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: WebClient/credit/programs/NRequestCreditApproval.html, v3-java, fmv3                                                         -->
<!--   Last update: 01/03/12 17:29:35                                                  -->
<!--   SCCS path, id: /home/flowmark/vc/0/3/6/1/s.46 1.4                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   5697-FM3 5655-A96                                                     -->
<!--   (C) Copyright IBM Corp. 1999, 2008                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER    -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP workitem start" %>
<%@ page errorPage="/forms/ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<html>

<head>
  <title>NCollectCreditData</title>
  <link rel="stylesheet" href="../creditsample.css">
</head>

<%
  ReadOnlyContainer inData = context.getContainer();
  WorkItem workItem = context.getWorkItem();
  String firstName = context.getMemberValue(inData, "CreditRequestor.FirstName", "&lt;notset&gt;");
  String lastName = context.getMemberValue(inData, "CreditRequestor.LastName", "&lt;notset&gt;");
  String address = context.getMemberValue(inData, "Address", "&lt;notset&gt;");
  String creditAmount = context.getMemberValue(inData, "CreditAmount", "&lt;notset&gt;");
  String riskFactor = context.getMemberValue(inData, "RiskFactor", "&lt;notset&gt;");
%>

<body>
<div class="title">Credit Approval</div>
<hr>
<%=context.openForm("checkInWorkItem", workItem.persistentOid())%>
  <p>
    <input type="hidden" name="CreditRequestor.FirstName" value="<%=firstName%>">
    <input type="hidden" name="CreditRequestor.LastName" value="<%=lastName%>">
    <input type="hidden" name="Address" value="<%=address%>">
    <input type="hidden" name="CreditAmount" value="<%=creditAmount%>">
    <input type="hidden" name="RiskFactor" value="<%=riskFactor%>">
  </p>
  <div class="infoemphasized"><%=firstName%> <%=lastName%>
  requests a credit of $<%=creditAmount%>.
  </div>
  <br>
  <div class="infoemphasized">The risk factor for this credit has been assessed as <%=riskFactor%>.</div>
  <br>
  <br>
  <div class="instruction">Make your decision:</div>
  <br>
  <table width="100%" border="0">
    <tr>
      <td width="18%">&nbsp;</td>
      <td width="30%" class="label">
        <input type="radio" name="AddApproval" align="left" value="Y">
        Approve this credit </td>
      <td colspan="3" width="52%">&nbsp;</td>
    </tr>
    <tr>
      <td width="18%">&nbsp;</td>
      <td width="30%" class="label">
        <input type="radio" name="AddApproval" align="left" value="N" checked>
        Reject this credit </td>
      <td colspan="3" width="52%">&nbsp;</td>
    </tr>
  </table>
  <br>
  <br>
  <hr>
  <input type="submit" name="checkinWorkitem" value="Complete work item">
  <input type="button" name="cancelWorkItem" value="Cancel" onClick="javascript:{location='<%=context.getCommand("cancelWorkItem", workItem.persistentOid())%>';}">
</form>
</body>
</html>
