/*BEGIN CMVC */
//*************************************************************************
//
//  Workfile: servlet/sample/ShowConfigHandler.java, v3-java, fmv3
//  Last update: 05/05/25 16:15:40
//  SCCS path, id: /home/flowmark/vc/0/3/5/5/s.36 1.5
//
//************************************************************************/
/*END CMVC */
/*BEGIN COPYRIGHT */
//*****************************************************************************
//
//  Licensed Materials - Property of IBM
//  5697-FM3 5655-A96
//  (C) Copyright IBM Corp. 1999, 2008
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
//****************************************************************************/
//END COPYRIGHT */
/*BEGIN DISCLAIMER */
//*************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
//************************************************************************/
/*END DISCLAIMER */

// *********************************************************************
// *                                                                   *
// * IBM WebSphere MQ Workflow Configuration Viewer Example                    *
// *                                                                   *
// *********************************************************************

package com.ibm.workflow.servlet.sample;

import java.util.*;
import javax.servlet.http.*;
import com.ibm.workflow.servlet.client.*;

public class ShowConfigHandler extends GenericCommandHandler
{
  public String getHandlerInfo()
  {
    return "MQWF Sample - Show Web Client Configuration V1.0";
  }

  public ResponsePage showConfig(HttpServletRequest request,
                                 HttpServletResponse response)
                      throws ClientException
  {
    Config config = getConfig();

    StringBuffer xml = new StringBuffer(2500);
    String dtd = "<?xml version='1.0' encoding='ISO-8859-1'?>\n";

    xml.append(dtd + "<Configuration>\n");

    Enumeration sections = config.getSections().keys();

    while (sections.hasMoreElements())
    {
      String section = (String) sections.nextElement();
      xml.append("  <Section name=\"" + section + "\">\n");

      Hashtable params = config.getParameters(section);
      Enumeration keys = params.keys();
      Enumeration values = params.elements();

      while (keys.hasMoreElements())
      {
        String key = (String) keys.nextElement();
        String value = (String) values.nextElement();
        xml.append("    <" + key + ">" + value + "</" + key + ">\n");
      }

      xml.append("  </Section>\n");
    }

    xml.append("</Configuration>");

    return new ResponsePage(xml, ResponsePage.MIMETYPE_XML);
  }
}
