<%--
<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: WebClient/smp/forms/EmailViewer_html.jsp, v3-java, fmv3                                                         -->
<!--   Last update: 02/02/26 15:02:47                                                  -->
<!--   SCCS path, id: /home/flowmark/vc/0/3/6/9/s.98 1.3                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   5697-FM3 5655-A96                                                     -->
<!--   (C) Copyright IBM Corp. 1999, 2008                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->
--%>
<%@ page language="java" info="JSP Email Viewer, HTML Version" %>
<%@ page errorPage="ViewError.jsp" %>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>IBM WebSphere MQ Workflow Web Client - Item Transfer Notification</title>
</head>
<body bgcolor='#E0E0E0'>
<blockquote>
<h2>IBM WebSphere MQ Workflow Web Client - Item Transfer Notification</h2>

<p>
The data shown in the table below is available to the <code>EmailViewer.jsp</code>
(<font color='red'><u>which actually generated this text as a result of a real
item transfer</u></font>) to construct a message which is sent as a
<code>text/html</code> MIME-message via <b>smtpHost</b> to <b>toAddress</b>.
The Web Client takes care of the actual item transfer and of sending the
email notification; the job of the EmailViewer.jsp is to build an email which
makes it simple for the receiver to launch the item which was transferred to
him.</p>

<center>
<table border='3'>
<tr bgcolor='#7B94E7'><th>Request Parameter</th><th>Value</th><th>Comment</th></tr>
<tr bgcolor='yellow'><td nowrap>fromUserID       </td><td nowrap><%=request.getParameter("fromUserID") %></td><td nowrap>Previous owner of work item           </td></tr>
<tr bgcolor='yellow'><td nowrap>toUserID         </td><td nowrap><%=request.getParameter("toUserID")   %></td><td nowrap>New owner of work item                </td></tr>
<tr bgcolor='yellow'><td nowrap>byUserID         </td><td nowrap><%=request.getParameter("byUserID")   %></td><td nowrap>Originator of the transfer            </td></tr>
<tr bgcolor='yellow'><td nowrap>fromAddress      </td><td nowrap><%=request.getParameter("fromAddress")%></td><td nowrap>Address impersonated by the Web Client</td></tr>
<tr bgcolor='yellow'><td nowrap>toAddress        </td><td nowrap><%=request.getParameter("toAddress")  %></td><td nowrap>Address of the receiver               </td></tr>
<tr bgcolor='yellow'><td nowrap>systemGroup      </td><td nowrap><%=request.getParameter("systemGroup")%></td><td nowrap>MQWF SystemGroup 'owning' the transfer</td></tr>
<tr bgcolor='yellow'><td nowrap>smtpHost         </td><td nowrap><%=request.getParameter("smtpHost")   %></td><td nowrap>SMTP host used to route email         </td></tr>
<tr bgcolor='yellow'><td nowrap>name             </td><td nowrap><%=request.getParameter("name")       %></td><td nowrap>Name of the transferred work item     </td></tr>
<tr bgcolor='yellow'><td nowrap>url              </td><td nowrap><%=request.getParameter("url")        %></td><td nowrap>URL to launch a work item             </td></tr>
<tr bgcolor='yellow'><td nowrap>id               </td><td nowrap><%=request.getParameter("id")         %></td><td nowrap>OID of the transferred work item      </td></tr>
<tr bgcolor='yellow'><td nowrap>getServerName()  </td><td nowrap><%=request.getServerName()            %></td><td nowrap>Hostname on which the servlet resides </td></tr>
</table>
</center>
<p>
A simple way to do this could be to combine the given <b>url</b> and <b>id</b>
into &lt;a href&gt; which directly points to the checkoutWorkItem command of
the Web Client, e.g. like this:</p>

<p align="center">
<font size='+1' color='red'>
Click <a href='<%=request.getParameter("url" )%>&id=<%=request.getParameter("id")%>'>
here</a> to start the &quot;<%=request.getParameter("name")%>&quot; Work Item
</font></p>
<p>
Assuming he has an HTML-capable email reader, the receiver of the email
notification can click on the URL to initiate the work item checkout; this
would serve up the associated activity form which -- like all regular forms --
would serve up container- and/or backend data. The activity form itself carries
the link to check the form back in once the user is done.</p>
</blockquote>
</body>
</html>
