<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: WebClient/smp/forms/InternetConnectionListViewer.jsp, v3-java, fmv3                                                         -->
<!--   Last update: 02/02/26 15:02:56                                                  -->
<!--   SCCS path, id: /home/flowmark/vc/0/3/6/0/s.58 1.4                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   5697-FM3 5655-A96                                                     -->
<!--   (C) Copyright IBM Corp. 1999, 2008                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP Internet Connection Viewer" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="java.text.MessageFormat" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.api.ItemPackage.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<% Catalog cat = (Catalog) session.getValue("InternetConnectionViewer.Catalog");

   if (cat == null)
   {
     cat = context.getCatalog("com.ibm.workflow.catalog.servlet.sample.Sample");
     session.putValue("InternetConnectionViewer.Catalog", cat);
   }

   WorkList worklist = context.getWorkList();
   WorkItem workitems[] = context.getWorkItems();

   if (worklist == null)
     throw new ClientException(context, cat.get("Error.NoLists"));

   String headImage = "<img src=\"" +
     context.getURL("{_HTMLDir_}/images/workflow.gif") +
     "\" alt=\"" + cat.get("InternetConnectionList.Header") + "\">";

   String actionImageAttr = "align=\"texttop\" border=\"0\"";

   String startImage = "<img src=\"" +
     context.getURL("{_HTMLDir_}/images/point.gif") +
     "\" " + actionImageAttr + " alt=\"" +
     cat.get("InternetConnectionList.Start") + "\">";

   String cancelCheckoutImage = "<img src=\"" +
     context.getURL("{_HTMLDir_}/images/restart.gif") +
     "\" " + actionImageAttr + " alt=\"" +
     cat.get("InternetConnectionList.CancelCheckout") + "\">";

   String restartImage = "<img src=\"" +
     context.getURL("{_HTMLDir_}/images/restart.gif") +
     "\" " + actionImageAttr + " alt=\"" +
     cat.get("InternetConnectionList.Restart") + "\">";
%>
<html>
<!-- Create the page title --------------------------------------->
<head>
  <title><%=worklist.name()%></title>
</head>
<body>
<%=headImage%>
<h4><%=cat.get("InternetConnectionList.Select")%></h4>
<table width="100%" border="1">
  <tr bgcolor="#CFDDFE">
    <th width="65%"><%=cat.get("InternetConnectionList.Description")%></th>
    <th width="15%"><%=cat.get("InternetConnectionList.Status")%></th>
    <th width="20%"><%=cat.get("InternetConnectionList.Received")%></th>
  </tr>
<%
  try {
    for(int i=0; i < workitems.length; i++) {
      WorkItem workitem = workitems[i];
      workitem.refresh();
      String oid = workitem.persistentOid();
      String description = workitem.description();
      String command;
      String image;
      if (workitem.state() == ExecutionState.READY) {
        command = context.getCommand("checkOutWorkItem", oid);
        image = MessageFormat.format(startImage, new String[] { description });
      }
      else if (workitem.state() == ExecutionState.CHECKED_OUT) {
        command = context.getCommand("cancelWorkItem", oid);
        image = MessageFormat.format(cancelCheckoutImage, new String[] { description });
      }
      else {
        command = context.getCommand("forceRestartWorkItem", oid);
        image = MessageFormat.format(restartImage, new String[] { description });
      }
%>
<tr valign="top">
  <td valign="top">
    <table cellspacing="2" cellpadding="2">
      <tr>
        <td><a href="<%=command%>"><%=image%></a></td>
        <td align="left" valign="top"><%=description%></td>
      </tr>
    </table>
  </td>
  <td align="center" valign="top"><%=context.getWIStringForState(workitem.state())%></td>
  <td align="center" valign="top"><%=context.toString(workitem.creationTime())%></td>
</tr>

<%
    } // for loop
  }
  catch(FmcException xcpt) {

  }
%>
</table>
<hr>
<%=context.openForm("queryWorkItems", worklist.persistentOid())%>
<input type="submit" value="<%=cat.get("InternetConnectionList.Refresh")%>" name="Refresh">
</form>
<hr>
<%=context.openForm("logoff")%>
<input type="submit" value="<%=cat.get("InternetConnectionList.Logoff")%>" name="Logoff">
</form>

</body>
</html>
