<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: WebClient/smp/groupwl/step3/GroupWorkList.sol, v3-java, fmv3                                                         -->
<!--   Last update: 01/03/07 11:02:32                                                  -->
<!--   SCCS path, id: /home/flowmark/vc/0/3/6/1/s.29 1.4                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   5697-FM3 5655-A96                                                     -->
<!--   (C) Copyright IBM Corp. 1999, 2008                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="JSP list Viewer" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.api.ItemPackage.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<html>

<%
  String workListOID = (String) context.getAttribute("workListOID");
  String groupListOID = (String) context.getAttribute("groupListOID");

  WorkList workList = context.getWorkList(workListOID);
  WorkItem[] workItems = context.getWorkItems(workListOID);
  String user = context.getUserID();

  String cmdRefresh =
     context.getCommand("x-queryGroupWorkItems",
                        workListOID,
                        "&srcid=" + java.net.URLEncoder.encode(groupListOID) +
                        "&useCache=false");
%>

<head>
  <title>Work Items of <%=workList.name()%></title>
</head>

<body bgcolor="#C6C6C6">

<!-- navigation bar with 'refresh' and 'logoff' buttons -->
<table width="100%" border="2" cellpadding="0" cellspacing="0">
  <tr>
    <td><a href="<%=cmdRefresh%>">
      <img src="../images/navigation/refresh.gif" alt="Refresh" border="0"></a></td>

    <td width="100%" align="center"><b><font size="4">
      Work Items for <%=user%> (<%=workItems.length%>)</font></b></td>

    <td><a href="<%=context.getCommand("logoff")%>">
      <img src="../images/navigation/logoff.gif" alt="Logoff" border="0"></a></td>

  </tr>
</table>

<table border="0" cellspacing="0" width="100%">
  <!-- work list header -->
  <tr>
    <td width="7%"><b><i>Command</i></b></td>
    <td width="8%" align="center"><b>State</b></td>
    <td width="20%"><b>Name</b></td>
    <td width="25%"><b>Description</b></td>
    <td width="20%"><b>Process</b></td>
    <td width="20%"><b>Created</b></td>
  </tr>
  <tr>
    <td width="100%" colspan="6"><hr></td>
  </tr><br>

  <!-- list of work items -->
  <%
    String bgcolors[] = { "white", "#CCCCFF" };

    for (int i = 0; i < workItems.length; ++i)
    {
      WorkItem workItem = workItems[i];
      String oid = workItem.persistentOid();
      String name = workItem.name();
      Command[] cmds = Command.getActions(user, workItem);
  %>
      <tr bgcolor="<%=bgcolors[i % bgcolors.length]%>">

        <td nowrap><%
        if (cmds.length == 0)
          {%>&nbsp;<%}
        else for (int j = 0; j < cmds.length; ++j)
        {
          if ("transferItem".equals(cmds[j].getCommand()))
            %><%=cmds[j].getTriggerTag(context, oid, user)%><%
          else
            %><%=cmds[j].getTriggerTag(context, oid, name)%><%
        }%></td>

        <td align="center">
          <img src="../images/state/<%=context.getWIImageForState(workItem.state())%>"
               alt="<%=context.getWIStringForState(workItem.state())%>"></td>

        <td><font size="2">
          <%=name%>&nbsp;</font></td>

        <td>
          <%
            if (workItem.description() != null)
            {
          %>
             <font size="2"><%=workItem.description()%></font>
          <%
            }
          %>
          &nbsp;</td>

        <td><font size="2">
          <%=workItem.processInstanceName()%></font></td>

        <td><font size="2">
          <%=context.toString(workItem.creationTime())%></font></td>

      </tr>
  <%
    }
  %>

  <!-- work list footer -->
  </table>

</body>
</html>
