<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: WebClient/smp/programs/AShowCustomer.jsp, v3-java, fmv3                                                         -->
<!--   Last update: 02/02/26 15:02:29                                                  -->
<!--   SCCS path, id: /home/flowmark/vc/0/3/7/6/s.96 %i%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   5697-FM3 5655-A96                                                     -->
<!--   (C) Copyright IBM Corp. 1999, 2008                                    -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                         -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%-- Import the context bean that will be passed by the servlet --%>
<%-- Note that the scope of that bean is a single request, not  --%>
<%-- the entire session                                         --%>
<%@ page language="java" info="Application data access through JSP" %>
<%@ page errorPage="/forms/ViewError.jsp" %>
<%@ page import="java.io.*" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<%
  // This page must not be cached by the browser
  response.setDateHeader("Expires", 0);
  response.setHeader("Pragma", "no-cache"); // HTTP 1.0
  response.setHeader("Cache-Control", "no-cache"); // HTTP 1.1
%>

<html>
<head><title>Show Customer Data</title></head>

<body bgcolor="#C6C6C6">

<%
  try {
  WorkItem workItem = context.getWorkItem();
  ReadOnlyContainer inData = context.getContainer();

  // Get DB name and customer ID from workflow container
  String dbName = context.getMemberValue(inData, "CustomerDB", null);
  String customerID = context.getMemberValue(inData, "CustomerID", null);

  // Initialize customer data to be read from file
  String firstName = "&lt;not found&gt;";
  String lastName = "&lt;not found&gt;";
  String mailAddr = "&lt;not found&gt;";

  if (customerID != null)
  {
    try
    {
      // search for customerID in the DB file
      BufferedReader db = new BufferedReader(new FileReader(dbName));
      String id = db.readLine();

      while (id != null)
      {
        String first = db.readLine();
        String last = db.readLine();
        String mail = db.readLine();

        if (customerID.equals(id))
        {
          firstName = first;
          lastName = last;
          mailAddr = mail;
          break;
        }

        id = db.readLine();
      }

      db.close();
    }
    catch (FileNotFoundException ignored)
    {
    }
  }
%>

<h2>Show Data for Customer '<%=customerID%>'</h2>
<hr>
<%=context.openForm("checkInWorkItem", workItem.persistentOid())%>
  <table>
    <tr><td>First Name:</td><td><%=firstName%></td></tr>
    <tr><td>Last Name:</td><td><%=lastName%></td></tr>
    <tr><td>Email Address:</td><td><a href="mailto:<%=mailAddr%>"><%=mailAddr%></a></td></tr>
    <tr colspan="2"><td>&nbsp;</td></tr>
    <tr><td><input type="submit" name="checkInWorkitem" value="Done"></td>
        <td><input type="button" name="cancelWorkItem" value="Cancel" onClick="javascript:{location='<%=context.getCommand("cancelWorkItem", workItem.persistentOid())%>';}"></td>
    </tr>
  </table>
</form>

<% } catch (Throwable xcpt) { %>
<%=ClientException.getStack(xcpt)%>
<% } %>

</body>
</html>
